from typing import List
from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    # Project metadata
    PROJECT_NAME: str = "Small Business Inventory Management System"
    API_V1_STR: str = "/api/v1"
    
    # Security
    SECRET_KEY: str = "generate_a_secure_secret_key_here"  # Used for JWT token creation
    ACCESS_TOKEN_EXPIRE_MINUTES: int = 60 * 24 * 8  # 8 days
    
    # CORS
    BACKEND_CORS_ORIGINS: List[str] = ["*"]
    
    class Config:
        env_file = ".env"
        case_sensitive = True


settings = Settings()